package com.jpsoft.shinestar.modules.workflow.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.workflow.entity.ProcinstActUser;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface ProcinstActUserDAO {
	int insert(ProcinstActUser entity);
	int update(ProcinstActUser entity);
	int exist(String id);
	ProcinstActUser get(String id);
	int delete(String id);
	List<ProcinstActUser> list();
	List<ProcinstActUser> search(Map<String,Object> searchParams,List<Sort> sortList);

    List<ProcinstActUser> findByProcinstActivityId(String procinstActivityId);

    List<ProcinstActUser> findByProcinstActivityIdActionType(String procinstActivityId, String action, String type);
}